Subject: [rbridge] Use of 802.1ah Encaps

From: Eric.Gray at marconi.com (Gray, Eric)
Date: Tue, 12 Dec 2006 16:16:47 -0500

Ali,

	No argument.  But this is what you do in a break-out or
interim meeting - not what you do in a working group meeting 
where the intention is to summarize results.  There are things
that were pointed out that we should consider.  There are also
other projects that are in the works.  There are incentives to
induce us toward a common solution.  And there is a time and a
place to go into the details, consider alternatives, etc. 

	The minute you have 10-20 people standing at a microphone
waiting for their turn to comment on the latest gyration (with
a change taking place as each person steps up to take his/her 
turn), you're designing in committee.  I think it's wrong (in
many ways) to treat anything suggested during that portion of 
the discussion as anything other than brain-storming.

	It seems obvious at this point that people have had some
time to think about the suggestions and eliminate many of them.
I have seen only one change that appears consistently to have
been agreed on over previous iterations of considering the use
of a SHIM header and that has been to include both the ingress
and egress RBridge "nick-names" in the SHIM.

	Other than for reasons of interoperability - which tends
to require us to agree on a minimal set of common encapsulations
that MUST be supported by all RBridges - it is actually only a
diversion for us to spend time in discussion of how we might
modify IEEE-defined encapsulations to support TRILL directly.

	It may be interesting and inspiring to talk about these
things, but does it help us to get the job done?

--
Eric

> -----Original Message-----
> From: Ali Sajassi (sajassi) [mailto:sajassi at cisco.com] 
> Sent: Thursday, December 07, 2006 11:59 PM
> To: Gray, Eric; Joe Touch
> Cc: Developing a hybrid router/bridge.
> Subject: RE: [rbridge] Use of 802.1ah Encaps
> 
>  
> 
> > -----Original Message-----
> > From: Gray, Eric [mailto:Eric.Gray at marconi.com] 
> > Sent: Thursday, December 07, 2006 5:48 AM
> > To: Joe Touch; Ali Sajassi (sajassi)
> > Cc: Developing a hybrid router/bridge.
> > Subject: RE: [rbridge] Use of 802.1ah Encaps
> > 
> > Joe/Ali,
> > 
> > 	It is not as simple as this.
> > 
> > 	The IETF has already established a precedent for 
> > Ethernet encapsulation of SHIM-encapsulated Ethernet.  It's 
> > only trying to see this as a single encapsulation, that 
> > causes people to conclude we are inventing a new form of 
> > Ethernet encapsulation.
> > 
> > 	Other than inappropriate "designing committee" 
> > discussion at the last IETF meeting, we have not been 
> > attempting to design any new Ethernet encapsulation.  And I 
> > believe we should safely conclude, at this point, that the 
> > discussion that took place on this topic at the TRILL meeting 
> > last month can be closed and considered to have been 
> > completely unproductive.
> 
> 
> I think it is always good to have discussions among ourselves 
> to see how
> we can leverage each other expertise and technology and 
> whether what you
> are doing can be leveraged in other applications. The basic premise in
> here is that there is a good level of overlap among different 
> areas that
> are being worked on by different WGs, and we will do each 
> other as well
> as industry a great service if we can come up with a common solution
> jointly.
> 
> -Ali
> 
> > 
> > 	Big surprise...
> > 
> > --
> > Eric
> > 
> > > -----Original Message-----
> > > From: rbridge-bounces at postel.org
> > > [mailto:rbridge-bounces at postel.org] On Behalf Of Joe Touch
> > > Sent: Wednesday, December 06, 2006 10:23 PM
> > > To: Ali Sajassi (sajassi)
> > > Cc: Developing a hybrid router/bridge.
> > > Subject: Re: [rbridge] Use of 802.1ah Encaps
> > > 
> > > _______________________________________________
> > > rbridge mailing list
> > > rbridge at postel.org
> > > http://mailman.postel.org/mailman/listinfo/rbridge
> > > 
> > 
>